package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.RmMonitorTemplate;
import com.ruoyi.rocketmq.domain.vo.RmMonitorTemplateVo;

import java.util.List;
import java.util.Map;

/**
 * 监控模板Service接口
 * 
 * @author gyt
 * @date 2025-09-09
 */
public interface IRmMonitorTemplateService 
{
    /**
     * 查询监控模板
     * 
     * @param id 监控模板主键
     * @return 监控模板
     */
    public RmMonitorTemplate selectRmMonitorTemplateById(Long id);

    /**
     * 查询监控模板列表
     * 
     * @param rmMonitorTemplate 监控模板
     * @return 监控模板集合
     */
    public List<RmMonitorTemplate> selectRmMonitorTemplateList(RmMonitorTemplate rmMonitorTemplate);

    /**
     * 新增监控模板
     * 
     * @param rmMonitorTemplate 监控模板
     * @return 结果
     */
    public int insertRmMonitorTemplate(RmMonitorTemplate rmMonitorTemplate);

    /**
     * 修改监控模板
     * 
     * @param rmMonitorTemplateVo 监控模板
     * @return 结果
     */
    public int updateRmMonitorTemplate(RmMonitorTemplateVo rmMonitorTemplateVo);

    /**
     * 批量删除监控模板
     * 
     * @param ids 需要删除的监控模板主键集合
     * @return 结果
     */
    public int deleteRmMonitorTemplateByIds(Long[] ids);

    /**
     * 删除监控模板信息
     * 
     * @param id 监控模板主键
     * @return 结果
     */
    public int deleteRmMonitorTemplateById(Long id);

    /**
     * 新增
     * @param rmMonitorTemplateVo
     * @return
     */
    public int addRmMonitorTemplate(RmMonitorTemplateVo rmMonitorTemplateVo);

    /**
     * 详情
     * @param id
     * @return
     */
    Map<String, Object> getTemplateMsgById(Long id);

    List<Map> getAllTemplate();
}
